The signed-in person in this company, and what they may do
GET
/v1/workspace/me
const url = 'https://api.vocapable.com/v1/workspace/me';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vocapable.com/v1/workspace/me \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceMe
The person behind this console key, in this company, and what they may do.
object
user_id
required
User Id
string
display_name
required
Display Name
string
email
required
Email
string
role
required
Role
string
capabilities
required
Capabilities
Array<string>
company_id
required
Company Id
string
company_name
required
Company Name
string
team_scope
Any of:
Array<string>
null
permissions
Permissions
Array<string>
Example
{ "role": "owner", "capabilities": [ "view_all_customers" ]}